.header-area {
    -webkit-transition-duration: 500ms;
    -o-transition-duration: 500ms;
    transition-duration: 500ms;
    background-color: var(--light-element-bg);
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    min-height: 52px;
    max-height: 52px;
    box-shadow: 0 -3px 12px rgba(0, 0, 0, 0.16);
}

.top-search-form form button:focus {
    outline: none
}

.top-header-sidebar {
    position: relative;
    z-index: 1;
    width: 26px;
    cursor: pointer;
    padding: 0 !important;
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0)
}

.top-header-sidebar span {
    -webkit-transition-duration: 500ms;
    -o-transition-duration: 500ms;
    transition-duration: 500ms;
    -webkit-box-flex: 0;
    -ms-flex: 0 0 22px;
    flex: 0 0 22px;
    min-width: 22px;
    width: 22px;
    height: 2px;
    background-color: var(--text-light);
    margin-bottom: 4px;
    display: block
}

.top-header-sidebar span:nth-child(2) {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 12px;
    flex: 0 0 12px;
    min-width: 12px;
    width: 12px
}

.top-header-sidebar span:last-child {
    margin-bottom: 0;
    -webkit-box-flex: 0;
    -ms-flex: 0 0 17px;
    flex: 0 0 17px;
    min-width: 17px;
    width: 17px
}

.suha-sidenav-wrapper {
    position: fixed;
    z-index: 9999999999;
    top: 0;
    height: 100%;
    background: var(--light-element-bg);
    overflow-y: hidden;
    width: 240px;
    transform: translateX(240px);
    border-top-left-radius: 25px;
    border-bottom-left-radius: 25px;
    right: 0;
}

.sidenav-black-overlay {
    -webkit-transition-duration: 500ms;
    -o-transition-duration: 500ms;
    transition-duration: 500ms;
    width: 100%;
    position: fixed;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(2, 3, 16, 0.3);
    z-index: 9999;
    opacity: 0;
    backdrop-filter: blur(8px);
    visibility: hidden
}

.top-header-sidebar:hover span, .top-header-sidebar:focus span {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 22px;
    flex: 0 0 22px;
    min-width: 22px;
    width: 22px
}

.suha-sidenav-wrapper.nav-active {
    animation: slideleftLarge .2s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
}


.header-area.header-out {
    transform: translateY(-100px);
}

.sidenav-black-overlay.active {
    opacity: 1;
    visibility: visible
}

/* dark-light button */
.single-settings .data-content {
    font-size: 13px;
    font-weight: 700
}
.single-settings .toggle-button-cover {
    position: relative;
    z-index: 1
}

.single-settings .knobs, .single-settings .layer {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0
}

.single-settings .button.r {
    position: relative;
    width: 65px;
    height: 35px;
    overflow: hidden;
    background-color: #fff;
}

.single-settings .button.r, .single-settings .button.r .layer {
    border-radius: 100px
}

.single-settings .checkbox {
    position: relative;
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    opacity: 0;
    cursor: pointer;
    z-index: 3
}

.single-settings .knobs {
    z-index: 2
}

.single-settings .layer {
    width: 100%;
    background-color: transparent;
    transition: .3s ease all;
    z-index: 1
}

.single-settings .knobs::before {
    content: "\f185";
    position: absolute;
    top: 1px;
    left: 2px;
    width: 31px;
    height: 31px;
    background-color: #fac74b;
    border-radius: 50%;
    transition: 0.3s ease all, left 0.3s cubic-bezier(0.18, 0.89, 0.35, 1.15);
    font-family: 'Font Awesome 5 Pro';
    font-weight: 300;
    color: #fff;
    font-size: 18px;
    text-align: center;
    padding-top: 5px;
}

.single-settings .toggle-button-cover .button.r {
    border: 1px solid rgba(0, 0, 0, 0.16);
}

.single-settings .checkbox:active + .knobs:before {
    width: 45px;
    border-radius: 100px
}

.single-settings .checkbox:checked:active + .knobs:before {
    margin-left: -26px
}

.single-settings .checkbox:checked + .knobs::before {
    content: "\f186";
    left: 32px;
    background-color: var(--night-element-bg);
}

.single-settings .checkbox:checked ~ .layer {
    background-color: #f8f8ff
}

.top-header-icon .single-settings .button.r , .negar-footer-nav .single-settings .button.r {
    width: 34px;
    height: 33px;
    border: 0 !important;
}

.top-header-icon .single-settings .checkbox:checked + .knobs::before , .negar-footer-nav .single-settings .checkbox:checked + .knobs::before {
    left: 0;
}

.top-header-icon .single-settings .button.r , .negar-footer-nav .single-settings .button.r {
    background-color: unset;
}

.top-header-icon .single-settings .checkbox:checked ~ .layer , .negar-footer-nav .single-settings .checkbox:checked ~ .layer {
    background-color: var(--night-element-bg);
}

.top-header-icon .single-settings , .negar-footer-nav .single-settings{
    display: inline-block;
    vertical-align: bottom;
}

/* dark-light button End */

.top-header-center.col-4 {
    padding: 0;
}

.top-header-center h1 {
    font-size: 15px;
    text-align: center
}

.suha-sidenav-wrapper img {
    margin: 25px auto;
    padding: 0 20px;
    max-height: 90px;
}

.top-header-icon li {
    color: var(--text-light);
    display: inline-block;
    margin: 0 5px;
    position: relative
}

.top-header-icon p {
    display: none
}

.top-header-icon a {
    color: var(--text-light);
}

.top-header-icon .cart-customlocation {
    font-size: 20px;
    color: var(--text-light);
    text-align: center;
    left: 7px
}

.top-header-center strong {
    color: var(--text-light);
}

.suha-sidenav-wrapper:not(.nav-active) {
    animation: sliderightLarge .2s cubic-bezier(0.165, 0.84, 0.44, 1) forwards;
}

.suha-sidenav-wrapper nav#accordian {
    background-color: rgba(134, 134, 139, 0.16);
    border-radius: 25px 0 0 0;
    padding: 10px 0;
}


.top-header-icon {
    text-align: left;
    font-size: 20px;
    padding: 10px 0 !important;
    color: var(--text-light);
}

#accordian ul {
    padding-right: 0;
    list-style: none
}

#accordian li {
    margin-bottom: 25px
}

#accordian ul a {
    color: var(--text-light);
    display: inline-block;
    vertical-align: middle;
    padding-right: 25px;
    box-sizing: border-box;
    font-size: 12px;
    width: 80%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

#accordian li.menu-item-has-children > .fa-minus {
    display: inline-block;
    position: relative;
    float: left;
    margin-left: 20px
}

#accordian li .fa-minus {
    vertical-align: middle;
    text-align: center;
    font-size: 17px;
    box-shadow: 0 0 16px rgba(0, 0, 0, 0.15);
    color: #777;
    cursor: crosshair;
    width: 24px;
    height: 24px;
    border-radius: 4px;
    background-color: #fff;
    line-height: 21px
}

#accordian ul ul, #accordian li .fa-minus {
    display: none
}

#accordian li > .fa-minus::after {
    content: "\f067";
    position: absolute;
    left: 0;
    right: 0;
    top: 2px;
    bottom: 0;
    font-size: 16px
}

#accordian li > .fa-minus:before {
    content: "\f068";
    position: absolute;
    left: 0;
    right: 0;
    top: 2px;
    bottom: 0;
    font-size: 16px
}

#accordian ul.sub-menu {
    margin-top: 10px;
    width: 100%;
    background-color: rgba(190, 190, 190, 0.1);
    padding-top: 20px;
    padding-bottom: 10px;
    -webkit-box-shadow: inset 0 5px 4px -4px rgba(0, 0, 0, .06), inset 0 -5px 4px -4px rgba(0, 0, 0, .06);
    box-shadow: inset 0 5px 4px -4px rgba(0, 0, 0, .06), inset 0 -5px 4px -4px rgba(0, 0, 0, .06)
}

#accordian ul ul, #accordian li .fa-minus {
    display: none
}

.suha-sidenav-wrapper #accordian > ul {
    height: calc(100vh - 350px);
    overflow-y: scroll;
}

#accordian li.active > .fa-minus::after {
    opacity: 0
}

.sidebar-menupage {
    background-color: var(--primary);
    padding: 10px 20px;
    border-radius: 18px;
    color: #fff;
    text-align: center;
    font-size: 12px;
    display: inline-block;
    margin-left: 15px;
    margin-top: -10px;
}

.bottom-part .menu-bottom-widget {
    position: relative;
    z-index: 1;
    padding-top: 45px;
    margin-top: -40px;
    padding-bottom: 15px;
    border-bottom-left-radius: 25px;
}


.sidebarcontact {
    display: inline-block;
    width: calc(70% - 15px);
    direction: ltr;
    text-align: right;
    margin-right: 15px
}

.sidebarcontact a {
    background-color: #14CE3F;
    color: #fff;
    margin-left: 15px;
    margin-bottom: 15px;
    font-size: 23px;
    width: 40px;
    height: 40px;
    border-radius: 10px;
    text-align: center;
    padding-top: 5px;
}

.menu-bottom-widget .single-settings {
    display: inline-block;
    width: calc(30% - 30px);
    direction: ltr;
    margin-left: 15px;
    vertical-align: middle;
}

.suha-sidenav-wrapper .page-widget {
    text-align: left;
    background-color: rgba(134, 134, 139, 0.16);
    padding-bottom: 40px;
    border-radius: 0 0 0 25px;
}

.sidebarcontact .phone_code {
    font-weight: 700
}


.ajax-search {
    position: absolute;
    background-color: #fff;
    margin: 0;
    color: #333;
    left: 45px;
    right: 10px;
    top: 5px;
    height: 40px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.16);
    border-radius: 20px;
    padding: 3px 10px;
    z-index: 2;
    transition-duration: .5s;
    opacity: 1;
}

.ajax-search .button-search-pro::before {
    font-family: "Font Awesome 5 pro";
}

.top-header-icon #ajax-search.close .fal::before {
    content: "\f00d";
}

.no-toolbar-by-scroll .ajax-search, .ajax-search.hide {
    left: -100%;
    opacity: 0;
    visibility: hidden;
    z-index: -1
}

.ajax-search #s {
    border: none;
    color: #777;
    text-indent: 18px;
    font-family: inherit;
    font-size: 14px;
    width: 92%;
    display: block;
    margin: 0 auto;
    height: 35px
}

.ajax-search .button-search-pro {
    position: absolute;
    top: 50%;
    left: 15px;
    background-color: transparent;
    border: none;
    width: 45px;
    height: 35px;
    color: #777;
    margin-top: -17px;
    font-size: 17px
}


.suha-sidenav-wrapper .bottom-part {
    position: fixed;
    bottom: 0;
    width: 240px;
    height: auto;
    background-color: var(--light-element-bg);
    border-radius: 25px 0 0 0;
}

[data-theme="dark"] .suha-sidenav-wrapper .bottom-part{
    background-color: var(--night-element-bg);
}

.suha-sidenav-wrapper .user-data {
    background-color: var(--primary);
    border-radius: 25px 0 0 25px;
    color: var(--text-inbox);
    padding: 3px 10px;
    display: inline-block;
    font-size: 12px;
    margin: 25px 0;
    min-width: 90%;
}

.suha-sidenav-wrapper .user-data i {
    margin-left: 20px;
    font-size: 25px;
    padding: 6px;
    vertical-align: sub;
    background-color: #ffffff12;
    border-radius: 100%;
    width: 40px;
    height: 40px;
    text-align: center;
    display: inline-block;
}

.suha-sidenav-wrapper .user-data span {
    padding-left: 10px;
}


.searchbar-input input.search-field {
    background-color: #fff;
    margin: 0;
    color: #333;
    position: absolute;
    right: -100%;
    transition-duration: 0.5s;
    z-index: 2;
    padding: 0 10px;
    box-shadow: 0 0 15px rgba(0, 0, 0, .16);
    border-radius: 20px;
    border: 0;
    height: 35px;
    width: 85%;
    top: 5px;
}

.searchbar-input input.search-field.hide {
    right: 10px;
}

a.searchbar-cancel {
    display: none;
}


.ajax-search .search-result {
    background: var(--light-element-bg);
    padding: 4px;
}

.top-header-center img {
    max-height: 50px;
}

.suha-sidenav-wrapper strong {
    text-align: center;
    display: block;
    color: var(--text-light);
    margin: 10px 0;
    font-size: 18px;
}


.scroll-down .header-area {
    transform: translate3d(0, -150%, 0);
}

.scroll-up .header-area {
    transform: none;
}

.scroll-up:not(.menu-open) .header-area {
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.35);
}

aside#sidenavWrapper > a h1 {
    padding: 20% 20px;
}


.suha-sidenav-wrapper .user-data a {
    color: var(--text-inbox);
}


.header-search-element {
    border: 1px solid rgba(0, 0, 0, 0.16);
    height: 38px;
    border-radius: 8px;
    overflow: hidden;
    background-color: var(--light-bg);
}
.header-search-element button {
    border: 0;
    background-color: var(--light-bg);
    height: 100%;
    font-size: 18px;
    color: #bbb;
    width: 40px;
}
.header-search-element input {
    border: 0;
    font-family: inherit;
    height: 100%;
    vertical-align: top;
    width: calc(100% - 50px);
}

.header-search-element input::placeholder {
    color: #bbb;
    font-size: 12px;
}
.header-search-element input {
    background-color: var(--light-bg);
    color: var(--text-light);
}
